# Void a Transaction

> This voids the authorization for a given transaction. Voids must be completed before the authorization is captured. In the request, either `transaction_id` or `transaction_reference` is required. Although the response returns the standard `transaction_view` object, only `status` and either `id` or `reference` are needed.

Source: https://help.boltapp.com/api-reference/embeddable-checkout-v1/transactions/voidtransaction

`POST /v1/merchant/transactions/void`

## OpenAPI definition

This endpoint as it appears in the OpenAPI document, with every schema it references included.

```json
{
  "openapi": "3.2.0",
  "info": {
    "version": "1.0.1",
    "title": "Embedded API Reference",
    "description": "Postman Collection:\n\n[![](https://run.pstmn.io/button.svg)](https://god.gw.postman.com/run-collection/9136127-55d2bde1-a248-473f-95b5-64cfd02fb445?action=collection%2Ffork&collection-url=entityId%3D9136127-55d2bde1-a248-473f-95b5-64cfd02fb445%26entityType%3Dcollection%26workspaceId%3D78beee89-4238-4c5f-bd1f-7e98978744b4#?env%5BBolt%20Sandbox%20Environment%5D=W3sia2V5IjoiYXBpX2Jhc2VfdXJsIiwidmFsdWUiOiJodHRwczovL2FwaS1zYW5kYm94LmJvbHQuY29tIiwidHlwZSI6ImRlZmF1bHQiLCJlbmFibGVkIjp0cnVlfSx7ImtleSI6InRrX2Jhc2UiLCJ2YWx1ZSI6Imh0dHBzOi8vc2FuZGJveC5ib2x0dGsuY29tIiwidHlwZSI6ImRlZmF1bHQiLCJlbmFibGVkIjp0cnVlfSx7ImtleSI6ImFwaV9rZXkiLCJ2YWx1ZSI6IjxyZXBsYWNlIHdpdGggeW91ciBCb2x0IFNhbmRib3ggQVBJIGtleT4iLCJ0eXBlIjoic2VjcmV0IiwiZW5hYmxlZCI6dHJ1ZX0seyJrZXkiOiJwdWJsaXNoYWJsZV9rZXkiLCJ2YWx1ZSI6IjxyZXBsYWNlIHdpdGggeW91ciBCb2x0IFNhbmRib3ggcHVibGlzaGFibGUga2V5PiIsInR5cGUiOiJkZWZhdWx0IiwiZW5hYmxlZCI6dHJ1ZX0seyJrZXkiOiJkaXZpc2lvbl9pZCIsInZhbHVlIjoiPHJlcGxhY2Ugd2l0aCB5b3VyIEJvbHQgU2FuZGJveCBwdWJsaWMgZGl2aXNpb24gSUQ+IiwidHlwZSI6ImRlZmF1bHQiLCJlbmFibGVkIjp0cnVlfV0=)\n\n## About\nThe Embedded API reference is a consolidation of critical APIs that a developer will use when integrating with Bolt's Embedded Accounts product suite.\n"
  },
  "servers": [
    {
      "url": "https://api.boltapp.com",
      "description": "The Production URL (Live Data)."
    },
    {
      "url": "https://api-sandbox.boltapp.com",
      "description": "The Sandbox URL (Test Data)."
    },
    {
      "url": "https://api-staging.boltapp.com",
      "description": "The Staging URL (Staged Data)."
    }
  ],
  "security": [
    {
      "X-API-Key": []
    },
    {
      "OAuth": [
        "bolt.account.manage",
        "bolt.account.view"
      ]
    }
  ],
  "paths": {
    "/v1/merchant/transactions/void": {
      "post": {
        "description": "This voids the authorization for a given transaction. Voids must be completed before the authorization is captured.\nIn the request, either `transaction_id` or `transaction_reference` is required.\nAlthough the response returns the standard `transaction_view` object, only `status` and either `id` or `reference` are needed.\n",
        "operationId": "voidTransaction",
        "parameters": [
          {
            "$ref": "#/components/parameters/idempotency_key"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/credit_card_void"
              }
            }
          },
          "description": "Void a Transaction"
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/transaction_view"
                }
              }
            },
            "description": "Void Successful"
          },
          "403": {
            "$ref": "#/components/responses/transaction_void_error_403"
          },
          "404": {
            "$ref": "#/components/responses/transaction_void_error_404"
          }
        },
        "security": [
          {
            "X-API-Key": []
          }
        ],
        "summary": "Void a Transaction",
        "tags": [
          "Transactions"
        ]
      }
    }
  },
  "components": {
    "parameters": {
      "idempotency_key": {
        "description": "A key created by merchants that ensures `POST` and `PATCH` requests are only performed once. [Read more about Idempotent Requests here](/developers/references/idempotency/).",
        "in": "header",
        "name": "Idempotency-Key",
        "required": false,
        "schema": {
          "type": "string"
        }
      }
    },
    "schemas": {
      "credit_card_void": {
        "properties": {
          "merchant_event_id": {
            "$ref": "#/components/schemas/transaction_merchant_event_id"
          },
          "skip_hook_notification": {
            "$ref": "#/components/schemas/transaction_skip_hook_notification"
          },
          "transaction_reference": {
            "$ref": "#/components/schemas/transaction_reference"
          }
        },
        "required": [
          "transaction_reference"
        ],
        "type": "object"
      },
      "transaction_merchant_event_id": {
        "description": "The reference ID associated with a transaction event (auth, capture, refund, void). This is an arbitrary identifier created by the merchant. Bolt does not enforce any uniqueness constraints on this ID. It is up to the merchant to generate identifiers that properly fulfill its needs.",
        "type": "string",
        "examples": [
          "dbe0cd5d-3261-41d9-ba61-49e5b9d07567"
        ]
      },
      "transaction_skip_hook_notification": {
        "description": "Set to `true` to skip receiving a webhook notification from Bolt that is triggered by this update to the transaction.",
        "type": "boolean",
        "examples": [
          false
        ]
      },
      "transaction_reference": {
        "description": "The transaction's 12-digit Bolt reference ID. **Nullable** for Transactions Details.",
        "maxLength": 12,
        "minLength": 12,
        "type": "string",
        "examples": [
          "LBLJ-TWW7-R9VC"
        ]
      },
      "transaction_view": {
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "authorization": {
            "$ref": "#/components/schemas/credit_card_authorization_view"
          },
          "capture": {
            "$ref": "#/components/schemas/capture_view"
          },
          "captures": {
            "items": {
              "$ref": "#/components/schemas/credit_card_capture_view"
            },
            "type": "array"
          },
          "credit": {
            "$ref": "#/components/schemas/credit_card_credit_view"
          },
          "date": {
            "$ref": "#/components/schemas/transaction_date"
          },
          "from_consumer": {
            "$ref": "#/components/schemas/consumer_self_view"
          },
          "from_credit_card": {
            "$ref": "#/components/schemas/credit_card_view"
          },
          "id": {
            "$ref": "#/components/schemas/transaction_id"
          },
          "indemnification_decision": {
            "$ref": "#/components/schemas/transaction_indemnification_decision"
          },
          "indemnification_reason": {
            "$ref": "#/components/schemas/transaction_indemnification_reason"
          },
          "last4": {
            "$ref": "#/components/schemas/card_last4"
          },
          "last_viewed_utc": {
            "format": "int64",
            "type": "number"
          },
          "merchant_division": {
            "$ref": "#/components/schemas/merchant_division_summary_view"
          },
          "merchant_order_number": {
            "type": "string"
          },
          "order_decision": {
            "$ref": "#/components/schemas/order_decision_details_view"
          },
          "processor": {
            "$ref": "#/components/schemas/transaction_processor"
          },
          "reference": {
            "$ref": "#/components/schemas/transaction_reference"
          },
          "review_ticket": {
            "$ref": "#/components/schemas/review_ticket_view"
          },
          "risk_insights": {
            "$ref": "#/components/schemas/risk_model_external_result_view"
          },
          "risk_review_status": {
            "$ref": "#/components/schemas/risk_review_status"
          },
          "risk_score": {
            "format": "int64",
            "type": "integer"
          },
          "splits": {
            "items": {
              "$ref": "#/components/schemas/transaction_splits_view"
            },
            "type": "array"
          },
          "status": {
            "$ref": "#/components/schemas/transaction_status"
          },
          "to_consumer": {
            "$ref": "#/components/schemas/consumer_self_view"
          },
          "to_credit_card": {
            "$ref": "#/components/schemas/credit_card_view"
          },
          "transaction_properties": {
            "additionalProperties": {
              "type": "string",
              "examples": [
                {
                  "key1": "value1",
                  "key2": "value2"
                }
              ]
            },
            "type": "object"
          },
          "type": {
            "$ref": "#/components/schemas/transaction_type"
          },
          "void": {
            "$ref": "#/components/schemas/credit_card_void_view"
          },
          "view_status": {
            "enum": [
              "not_viewed",
              "viewed",
              "viewing"
            ],
            "type": "string"
          }
        },
        "type": "object"
      },
      "amount_view": {
        "properties": {
          "amount": {
            "format": "int64",
            "type": "number",
            "examples": [
              754
            ]
          },
          "currency": {
            "type": "string",
            "examples": [
              "USD"
            ]
          },
          "currency_symbol": {
            "type": "string",
            "examples": [
              "$"
            ]
          }
        },
        "type": "object"
      },
      "credit_card_authorization_view": {
        "properties": {
          "auth": {
            "type": "string"
          },
          "avs_response": {
            "enum": [
              "00",
              "01",
              "02",
              "10",
              "11",
              "12",
              "13",
              "14",
              "20",
              "30",
              "31",
              "32",
              "33",
              "34",
              "40",
              "adyen_",
              "adyen_A",
              "adyen_N",
              "adyen_U",
              "adyen_S",
              "adyen_R",
              "adyen_W",
              "adyen_T",
              "adyen_Z",
              "adyen_D",
              "adyen_F",
              "adyen_M",
              "adyen_X",
              "adyen_Y",
              "adyen_B",
              "adyen_P",
              "adyen_C",
              "adyen_G",
              "adyen_I",
              "adyen_K"
            ],
            "type": "string"
          },
          "cvv_response": {
            "enum": [
              "M",
              "N",
              "P",
              "S",
              "U",
              "D",
              "X",
              "Y",
              "1",
              "2",
              "3",
              "pass",
              "fail",
              "unavailable",
              "unchecked",
              "braintree_M",
              "braintree_N",
              "braintree_U",
              "braintree_B",
              "braintree_A",
              "braintree_I",
              "braintree_S",
              "CVV2"
            ],
            "type": "string"
          },
          "merchant_event_id": {
            "$ref": "#/components/schemas/transaction_merchant_event_id"
          },
          "metadata": {
            "additionalProperties": {
              "type": "string"
            },
            "type": "object"
          },
          "processor": {
            "enum": [
              "vantiv",
              "adyen_payfac",
              "adyen_gateway",
              "stripe",
              "braintree",
              "cybersource",
              "nmi",
              "authorize_net",
              "radial",
              "shopify_payments",
              "rocketgate"
            ],
            "type": "string"
          },
          "reason": {
            "$ref": "#/components/schemas/credit_card_authorization_reason"
          },
          "status": {
            "$ref": "#/components/schemas/credit_card_authorization_status"
          }
        },
        "type": "object"
      },
      "credit_card_authorization_reason": {
        "description": "The reason code explaining the authorization status.\n  * `1` - none\n  * `2` - invalid_amount\n  * `3` - invalid_cvv\n  * `4` - invalid_cc_number\n  * `5` - expired\n  * `6` - risk\n  * `7` - lost_stolen\n  * `8` - call_issuer\n  * `9` - invalid_merchant_for_card\n  * `10` - unsupported_payment_method\n",
        "enum": [
          "none",
          "invalid_amount",
          "invalid_cvv",
          "invalid_cc_number",
          "expired",
          "risk",
          "lost_stolen",
          "call_issuer",
          "invalid_merchant_for_card",
          "unsupported_payment_method",
          "processor_server_error"
        ],
        "type": "string"
      },
      "credit_card_authorization_status": {
        "description": "The status of the authorization request.\n  * `1` - succeeded\n  * `2` - declined\n  * `3` - error\n",
        "enum": [
          "succeeded",
          "declined",
          "error"
        ],
        "type": "string",
        "examples": [
          "succeeded"
        ]
      },
      "capture_view": {
        "description": "Deprecated. Use `captures`.",
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "id": {
            "$ref": "#/components/schemas/capture_id"
          },
          "merchant_event_id": {
            "$ref": "#/components/schemas/transaction_merchant_event_id"
          },
          "metadata": {
            "description": "Additional information about the capture. For example, the processor capture ID. **Nullable** for Transactions Details.",
            "additionalProperties": {
              "type": "string"
            },
            "type": "object"
          },
          "splits": {
            "description": "A split of fees by type and amount. **Nullable** for Transactions Details.",
            "items": {
              "description": "A split of fees by type and amount.",
              "properties": {
                "amount": {
                  "$ref": "#/components/schemas/amount_view"
                },
                "type": {
                  "description": "Fee type options. **Nullable** for Transactions Details.\n",
                  "enum": [
                    "net",
                    "processing_fee",
                    "risk_fee",
                    "apm_fee",
                    "network_fee",
                    "platform_fee",
                    "bolt_account_fee"
                  ],
                  "type": "string",
                  "examples": [
                    "processing_fee"
                  ]
                }
              },
              "type": "object"
            },
            "type": "array"
          },
          "status": {
            "$ref": "#/components/schemas/capture_status"
          }
        },
        "type": "object"
      },
      "capture_id": {
        "description": "The unique ID for the capture. **Nullable** for Transactions Details.",
        "type": "string",
        "examples": [
          "BcDE4fafd2a4"
        ]
      },
      "capture_status": {
        "description": "The status of the capture. **Nullable** for Transactions Details.",
        "enum": [
          "succeeded",
          "declined",
          "error"
        ],
        "type": "string",
        "examples": [
          "succeeded"
        ]
      },
      "credit_card_capture_view": {
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "id": {
            "$ref": "#/components/schemas/capture_id"
          },
          "merchant_event_id": {
            "$ref": "#/components/schemas/transaction_merchant_event_id"
          },
          "metadata": {
            "additionalProperties": {
              "type": "string",
              "examples": [
                {
                  "key1": "value1",
                  "key2": "value2"
                }
              ]
            },
            "type": "object"
          },
          "splits": {
            "$ref": "#/components/schemas/transaction_splits_view"
          },
          "status": {
            "$ref": "#/components/schemas/capture_status"
          }
        },
        "type": "object"
      },
      "transaction_splits_view": {
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "type": {
            "enum": [
              "net",
              "processing_fee",
              "float",
              "reserve",
              "adjustment",
              "bolt_fee"
            ],
            "type": "string"
          }
        },
        "type": "object"
      },
      "credit_card_credit_view": {
        "allOf": [
          {
            "$ref": "#/components/schemas/credit_card_credit_status"
          },
          {
            "properties": {
              "merchant_event_id": {
                "$ref": "#/components/schemas/transaction_merchant_event_id"
              }
            }
          }
        ]
      },
      "credit_card_credit_status": {
        "properties": {
          "status": {
            "description": "The status of the refund to a card.",
            "enum": [
              "succeeded",
              "declined",
              "error",
              "pending",
              "in progress"
            ],
            "type": "string",
            "examples": [
              "succeeded"
            ]
          }
        },
        "type": "object"
      },
      "transaction_date": {
        "description": "Transaction date. **Nullable** for Transactions Details.",
        "type": "integer",
        "examples": [
          1615407159447
        ]
      },
      "consumer_self_view": {
        "allOf": [
          {
            "$ref": "#/components/schemas/consumer_summary_view"
          },
          {
            "properties": {
              "authentication": {
                "$ref": "#/components/schemas/login_view"
              },
              "email_verified": {
                "type": "boolean"
              },
              "emails": {
                "items": {
                  "$ref": "#/components/schemas/email_view"
                },
                "type": "array"
              },
              "first_name": {
                "type": "string"
              },
              "id": {
                "type": "string"
              },
              "last_name": {
                "type": "string"
              },
              "phones": {
                "items": {
                  "$ref": "#/components/schemas/phone_view"
                },
                "type": "array"
              },
              "platform_account_status": {
                "enum": [
                  "none",
                  "linked",
                  "unlinked"
                ],
                "type": "string"
              }
            },
            "type": "object"
          }
        ]
      },
      "consumer_summary_view": {
        "properties": {
          "first_name": {
            "description": "The given name of the person associated with this record.",
            "type": "string",
            "examples": [
              "Alan"
            ]
          },
          "id": {
            "type": "string"
          },
          "last_name": {
            "description": "The surname of the person associated with this record.",
            "type": "string",
            "examples": [
              "Watts"
            ]
          }
        },
        "type": "object"
      },
      "login_view": {
        "properties": {
          "actions": {
            "items": {
              "enum": [
                "set_password",
                "rotate_password"
              ],
              "type": "string"
            },
            "type": "array"
          },
          "methods": {
            "items": {
              "enum": [
                "code",
                "code_password",
                "password",
                "rotate_password"
              ],
              "type": "string"
            },
            "type": "array"
          },
          "sso_authorization_url": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "email_view": {
        "properties": {
          "address": {
            "type": "string"
          },
          "id": {
            "type": "string"
          },
          "priority": {
            "$ref": "#/components/schemas/priority"
          },
          "status": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "priority": {
        "description": "Describes the card's priority.\n",
        "enum": [
          "primary",
          "listed"
        ],
        "type": "string",
        "examples": [
          "primary"
        ]
      },
      "phone_view": {
        "properties": {
          "country_code": {
            "description": "Used for the 2-digit ISO 3166-1 alpha 2 country code associated with this address.",
            "type": "string",
            "examples": [
              "US"
            ]
          },
          "id": {
            "type": "string"
          },
          "number": {
            "type": "string"
          },
          "priority": {
            "enum": [
              "primary",
              "listed"
            ],
            "type": "string"
          },
          "status": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "credit_card_view": {
        "description": "Contains details about the credit card transaction.",
        "properties": {
          "billing_address": {
            "$ref": "#/components/schemas/address_view"
          },
          "bin": {
            "$ref": "#/components/schemas/card_bin"
          },
          "display_network": {
            "$ref": "#/components/schemas/card_display_network"
          },
          "expiration": {
            "$ref": "#/components/schemas/card_expiration"
          },
          "icon_asset_path": {
            "$ref": "#/components/schemas/icon_asset_path"
          },
          "id": {
            "$ref": "#/components/schemas/card_id"
          },
          "last4": {
            "$ref": "#/components/schemas/card_last4"
          },
          "network": {
            "$ref": "#/components/schemas/card_network"
          },
          "priority": {
            "$ref": "#/components/schemas/priority"
          },
          "status": {
            "$ref": "#/components/schemas/card_status"
          },
          "token": {
            "$ref": "#/components/schemas/card_token"
          },
          "token_type": {
            "$ref": "#/components/schemas/card_token_type"
          }
        },
        "type": "object"
      },
      "address_view": {
        "description": "The address object returned in the response.",
        "properties": {
          "company": {
            "description": "The company name associated with this address.",
            "type": "string",
            "examples": [
              "Bolt"
            ]
          },
          "country": {
            "description": "The name of the country associated with this address.",
            "type": "string",
            "examples": [
              "United States"
            ]
          },
          "country_code": {
            "description": "The ISO 3166-1 alpha-2 country code associated with this address.",
            "type": "string",
            "examples": [
              "US"
            ]
          },
          "door_code": {
            "$ref": "#/components/schemas/door_code"
          },
          "email_address": {
            "description": "The email address associated with this address.",
            "$ref": "#/components/schemas/email"
          },
          "first_name": {
            "description": "The given name of the person associated with this address.",
            "type": "string",
            "examples": [
              "Alan"
            ]
          },
          "id": {
            "description": "The unique Bolt ID associated with this address.",
            "type": "string"
          },
          "last_name": {
            "description": "The surname of the person associated with this address.",
            "type": "string",
            "examples": [
              "Watts"
            ]
          },
          "locality": {
            "description": "The city name details associated with this address.",
            "type": "string",
            "examples": [
              "Brooklyn"
            ]
          },
          "name": {
            "description": "The given and surname of the person associated with this address.",
            "type": "string",
            "examples": [
              "Alan Watts"
            ]
          },
          "phone_number": {
            "description": "The phone number associated with this address.",
            "$ref": "#/components/schemas/phone"
          },
          "postal_code": {
            "description": "The postal or zip code associated with this address.",
            "maxLength": 32,
            "type": "string",
            "examples": [
              "10044"
            ]
          },
          "priority": {
            "description": "The shopper-indicated priority of this address compared to other addresses on their account.",
            "type": [
              "string",
              "null"
            ],
            "enum": [
              "primary",
              "listed"
            ],
            "examples": [
              "primary"
            ]
          },
          "region": {
            "description": "The region details such as state or province associated with this address.",
            "type": "string",
            "examples": [
              "NY"
            ]
          },
          "region_code": {
            "description": "The the ISO 3166-2 region code associated with this address.",
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "NY"
            ]
          },
          "street_address1": {
            "description": "The street number and street name of the address.",
            "type": "string",
            "examples": [
              "888 main street"
            ]
          },
          "street_address2": {
            "description": "Any apartment, floor, or unit details.",
            "type": "string",
            "examples": [
              "apt 3021"
            ]
          },
          "street_address3": {
            "description": "Any additional street address details.",
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "c/o Alicia Watts"
            ]
          },
          "street_address4": {
            "description": "Any additional street address details.",
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "Bridge Street Apartment Building B"
            ]
          }
        },
        "type": "object"
      },
      "door_code": {
        "description": "The building door code or community gate code.",
        "maxLength": 1024,
        "type": [
          "string",
          "null"
        ],
        "examples": [
          "123456"
        ]
      },
      "email": {
        "description": "An email address.",
        "format": "email",
        "type": "string",
        "maxLength": 255,
        "examples": [
          "alan.watts@example.com"
        ]
      },
      "phone": {
        "description": "A phone number following E164 standards, in its globalized format, i.e. prepended with a plus sign.",
        "maxLength": 16,
        "type": "string",
        "examples": [
          "+12125550199"
        ]
      },
      "card_bin": {
        "description": "The Bank Identification Number for the credit card; this is typically the first 4-6 digits of the credit card number. **Nullable** for Transactions Details.",
        "maxLength": 6,
        "minLength": 4,
        "type": "string",
        "examples": [
          "402201"
        ]
      },
      "card_display_network": {
        "description": "The card's network. **Nullable** for Transactions Details.",
        "enum": [
          "Credit Card",
          "American Express",
          "Diners Club",
          "Discover",
          "JCB",
          "MasterCard",
          "Union Pay",
          "Visa"
        ],
        "type": "string",
        "examples": [
          "Visa"
        ]
      },
      "card_expiration": {
        "description": "The card's expiration. **Nullable** for Transactions Details.",
        "type": "integer",
        "examples": [
          1654041600000
        ]
      },
      "icon_asset_path": {
        "description": "The asset link for displayed icons. This link varies depending on payment method used.  **Nullable** for Transactions Details.",
        "type": "string",
        "examples": [
          "img/issuer-logos/visa.png"
        ]
      },
      "card_id": {
        "description": "The card's ID. **Nullable** for Transactions Details.",
        "type": "string",
        "examples": [
          "AB3rJKam5DhYE"
        ]
      },
      "card_last4": {
        "description": "The card's last 4 digits. **Nullable** for Transactions Details.",
        "maxLength": 4,
        "minLength": 4,
        "type": "string",
        "examples": [
          "4021"
        ]
      },
      "card_network": {
        "description": "The card's network code. **Nullable** for Transactions Details. Note: LEGACY diners_club_us_ca now tagged as mastercard\n",
        "enum": [
          "visa",
          "mastercard",
          "amex",
          "discover",
          "dinersclub",
          "jcb",
          "unionpay",
          "alliancedata",
          "citiplcc",
          "unknown"
        ],
        "type": "string",
        "examples": [
          "visa"
        ]
      },
      "card_status": {
        "description": "The card's status. **Nullable** for Transactions Details.",
        "enum": [
          "active",
          "created",
          "inactive",
          "transient"
        ],
        "type": "string",
        "examples": [
          "active"
        ]
      },
      "card_token": {
        "description": "The Bolt token associated to the credit card. Required for new, unsaved cards.",
        "type": "string",
        "examples": [
          "a1B2c3D4e5F6G7H8i9J0k1L2m3N4o5P6Q7r8S9t0"
        ]
      },
      "card_token_type": {
        "description": "Used to define which payment processor generated the token for this credit card.\n",
        "enum": [
          "vantiv",
          "applepay",
          "bolt",
          "stripe",
          "plcc",
          "applepay_encrypted_blob"
        ],
        "type": "string",
        "examples": [
          "bolt"
        ]
      },
      "transaction_id": {
        "description": "The unique ID associated with the transaction. **Nullable** for Transactions Details.",
        "type": "string",
        "examples": [
          "T1c3p4yBuVYJ9"
        ]
      },
      "transaction_indemnification_decision": {
        "description": "Describes whether the transaction is indemnified by Bolt for fraud.\n",
        "enum": [
          "unknown",
          "indemnified",
          "not_indemnified"
        ],
        "type": "string",
        "examples": [
          "indemnified"
        ]
      },
      "transaction_indemnification_reason": {
        "description": "Describes the reason that the transaction is or is not indemnified by Bolt for fraud.\n",
        "enum": [
          "unknown",
          "checkout",
          "virtual_terminal",
          "merchant_back_office",
          "merchant_force_approved",
          "reversibly_rejected",
          "irreversibly_rejected",
          "risk_engine_approved",
          "analyst_approved",
          "auth_verification",
          "paypal",
          "afterpay",
          "direct_payments",
          "whitelist",
          "external_review",
          "affirm",
          "merchant_ip_address",
          "amazon_pay",
          "apple_pay",
          "phone_order",
          "klarna",
          "cardholder_authentication",
          "address_change_rejected",
          "indemnify_direct_payments",
          "indemnify_virtual_terminal",
          "membership_subscription",
          "embedded_guest_checkout",
          "risk_assessment_only",
          "sezzle",
          "credova",
          "subscription",
          "indemnify_apm_transaction"
        ],
        "type": "string",
        "examples": [
          "merchant_force_approved"
        ]
      },
      "merchant_division_summary_view": {
        "properties": {
          "account_page_url": {
            "type": "string"
          },
          "api_base_domain_url": {
            "type": "string"
          },
          "base_domain_url": {
            "type": "string"
          },
          "confirmation_redirect_url": {
            "type": "string"
          },
          "create_order_url": {
            "type": "string"
          },
          "debug_url": {
            "type": "string"
          },
          "description": {
            "type": "string"
          },
          "display_name": {
            "type": "string"
          },
          "get_account_url": {
            "type": "string"
          },
          "shopper_custom_fields_updated_url": {
            "type": "string"
          },
          "hook_type": {
            "enum": [
              "1",
              "2",
              "3",
              "4",
              "5",
              "6"
            ],
            "type": "string"
          },
          "hook_url": {
            "type": "string"
          },
          "id": {
            "type": "string"
          },
          "is_universal_merchant_api": {
            "type": "boolean"
          },
          "is_webhooks_v2": {
            "type": "boolean"
          },
          "logo": {
            "$ref": "#/components/schemas/merchant_division_logo_view"
          },
          "logo_dashboard": {
            "$ref": "#/components/schemas/merchant_division_logo_view"
          },
          "merchant_id": {
            "type": "string"
          },
          "mobile_app_domain_url": {
            "type": "string"
          },
          "oauth_logout_url": {
            "type": "string"
          },
          "oauth_redirect_url": {
            "type": "string"
          },
          "platform": {
            "type": "string"
          },
          "plugin_config_url": {
            "type": "string"
          },
          "privacy_policy_url": {
            "type": "string"
          },
          "product_info_url": {
            "type": "string"
          },
          "public_id": {
            "type": "string"
          },
          "remote_apiurl": {
            "type": "string"
          },
          "shipping_and_tax_url": {
            "type": "string"
          },
          "shipping_url": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "tax_url": {
            "type": "string"
          },
          "terms_of_service_url": {
            "type": "string"
          },
          "universal_merchant_api_url": {
            "type": "string"
          },
          "update_cart_url": {
            "type": "string"
          },
          "use_async_refunds_amazon_pay": {
            "type": "boolean"
          },
          "use_async_refunds_paypal": {
            "type": "boolean"
          },
          "validate_additional_account_data_url": {
            "type": "string"
          },
          "merchant_password_login_url": {
            "description": "(Optional) Link shoppers can use to log into a merchant store via the Bolt SSO modal.",
            "type": "string",
            "examples": [
              "https://www.example.com/login"
            ]
          }
        },
        "type": "object"
      },
      "merchant_division_logo_view": {
        "properties": {
          "domain": {
            "type": "string"
          },
          "resource": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "order_decision_details_view": {
        "properties": {
          "decision_factors": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "score": {
            "format": "int64",
            "type": "number"
          }
        },
        "type": "object"
      },
      "transaction_processor": {
        "description": "The processor used. **Nullable** for Transactions Details.",
        "enum": [
          "adyen_gateway",
          "adyen_payfac",
          "affirm",
          "afterpay",
          "alliance_data",
          "amazon_pay",
          "authorize_net",
          "braintree",
          "checkout_com",
          "cybersource",
          "first_data",
          "klarna",
          "nmi",
          "orbital",
          "paypal",
          "radial",
          "radial_klarna",
          "radial_paypal",
          "rocketgate",
          "sezzle",
          "shopify_payments",
          "stripe",
          "vantiv"
        ],
        "type": "string",
        "examples": [
          "adyen_gateway"
        ]
      },
      "review_ticket_view": {
        "properties": {
          "id": {
            "type": "string"
          },
          "request_deadline": {
            "format": "int64",
            "type": "number"
          },
          "status": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "risk_model_external_result_view": {
        "properties": {
          "available": {
            "type": "boolean"
          },
          "decision_factors": {
            "description": "Used to list a total of up to 5 decision factors used by the risk model to determine the risk analysis result.",
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "fraud_probability": {
            "format": "int",
            "type": "number"
          },
          "payment_instrument_factors": {
            "additionalProperties": {
              "type": "string",
              "examples": [
                {
                  "factor1": "factor1",
                  "factor2": "factor2"
                }
              ]
            },
            "type": "object"
          }
        },
        "type": "object"
      },
      "risk_review_status": {
        "description": "Describes the current Risk Review status. A transaction could be unreviewed, reviewed, or pending manual review by the Bolt team.",
        "enum": [
          "unknown",
          "needs_review",
          "reviewed"
        ],
        "type": "string",
        "examples": [
          "reviewed"
        ]
      },
      "transaction_status": {
        "description": "The transaction's status.",
        "enum": [
          "in_progress",
          "completed",
          "cancelled",
          "failed",
          "pending",
          "created",
          "authorized",
          "rejected_reversible",
          "rejected_irreversible"
        ],
        "type": "string",
        "examples": [
          "cancelled"
        ]
      },
      "transaction_type": {
        "description": "The type of transaction.",
        "enum": [
          "cc_payment",
          "cc_credit",
          "funding_transfer",
          "processing_fee_transfer",
          "reserve_transfer",
          "float_transfer",
          "merchant_credit",
          "merchant_debit",
          "funding_withdrawal",
          "processing_fee_withdrawal",
          "zero_amount",
          "bolt_fee_transfer",
          "bolt_fee_withdrawal",
          "bank_account_verification",
          "authorization_verification",
          "paypal_payment",
          "paypal_refund",
          "apm_payment",
          "apm_refund",
          "zero_amount_verification"
        ],
        "type": "string",
        "examples": [
          "cc_payment"
        ]
      },
      "credit_card_void_view": {
        "properties": {
          "cause": {
            "$ref": "#/components/schemas/credit_card_void_cause"
          },
          "merchant_event_id": {
            "$ref": "#/components/schemas/transaction_merchant_event_id"
          },
          "status": {
            "$ref": "#/components/schemas/credit_card_void_status"
          },
          "void": {
            "description": "The void ID returned from the payment processor.",
            "type": "string",
            "examples": [
              "123456"
            ]
          }
        },
        "type": "object"
      },
      "credit_card_void_cause": {
        "description": "Specifies why this particular transaction is voided.",
        "enum": [
          "merchant_action",
          "paypal_sync",
          "amazon_pay_sync",
          "irreversible_reject",
          "auth_expire",
          "auth_verification_expired",
          "payment_method_updater",
          null
        ],
        "type": "string"
      },
      "credit_card_void_status": {
        "description": "The status of the void request.",
        "enum": [
          "succeeded",
          "declined",
          "error"
        ],
        "type": "string",
        "examples": [
          "succeeded"
        ]
      },
      "errors_bolt_api_response": {
        "properties": {
          "errors": {
            "$ref": "#/components/schemas/errors_bolt_api"
          },
          "result": {
            "$ref": "#/components/schemas/request_result"
          }
        },
        "type": "object"
      },
      "errors_bolt_api": {
        "items": {
          "$ref": "#/components/schemas/error_bolt_api"
        },
        "type": "array"
      },
      "error_bolt_api": {
        "properties": {
          "code": {
            "$ref": "#/components/schemas/code"
          },
          "message": {
            "$ref": "#/components/schemas/message"
          }
        },
        "type": "object",
        "description": "Error object containing custom error information"
      },
      "code": {
        "description": "Custom-defined Bolt error code. This can be used to programmatically react to specific errors.",
        "format": "int64",
        "type": "integer",
        "examples": [
          2001005
        ]
      },
      "message": {
        "description": "Human-readable description of the error for developers. Should not be shown to users and is not localized.",
        "type": "string",
        "examples": [
          "The input is missing a required parameter."
        ]
      },
      "request_result": {
        "description": "Custom-defined Bolt result object.",
        "properties": {
          "success": {
            "$ref": "#/components/schemas/request_failed"
          }
        },
        "type": "object"
      },
      "request_failed": {
        "type": "boolean",
        "description": "Indicates that the request failed. This value is always false.",
        "examples": [
          false
        ]
      }
    },
    "responses": {
      "transaction_void_error_403": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/errors_bolt_api_response"
            }
          }
        },
        "description": "Generic Error Schema"
      },
      "transaction_void_error_404": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/errors_bolt_api_response"
            }
          }
        },
        "description": "Generic Error Schema"
      }
    },
    "securitySchemes": {
      "OAuth": {
        "description": "Bolt utilizes the OAuth flow that developers can use to attain access to Bolt Account data via APIs.\nFor all APIs that require authorization, please provide your `access_token` returned from `/v1/oauth/token` via the basic auth bearer header `Authorization: bearer ${TOKEN}`.\n[Read more about the OAuth token endpoint.](/api-bolt/#tag/OAuth)\n",
        "flows": {
          "authorizationCode": {
            "authorizationUrl": "https://api.boltapp.com/v1/oauth/authorize",
            "refreshUrl": "https://api.boltapp.com/v1/oauth/token",
            "scopes": {
              "bolt.account.manage": "This scope grants permissions to perform read/edit/delete actions on Bolt Account data",
              "bolt.account.view": "This scope grants permissions to perform read only actions on Bolt Account data",
              "openid": "This scope grants permissions that enable Bolt SSO by granting an id token JWT that stores account data. Not used in v1/account endpoints"
            },
            "tokenUrl": "https://api.boltapp.com/v1/oauth/token"
          }
        },
        "type": "oauth2"
      },
      "X-API-Key": {
        "description": "Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.",
        "in": "header",
        "name": "X-API-Key",
        "type": "apiKey"
      }
    }
  }
}
```
